/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2017.12.06
 * 描述               :        			坯料设计订单组成表: 用于统计某坯料设计号下, 单个原料 所含的 生产订单 成品总数量/重量信息
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/

package market.Mes.Lengthwise.Design.impl;

import market.Com.vo.CommonPage;
import market.Com.vo.ResultModel;
import market.Mes.Lengthwise.Design.mapper.PlnDsnOrderInfoMapper;
import market.Mes.Lengthwise.Design.service.PlnDsnOrderInfoService;
import market.Mes.Lengthwise.Design.vo.PlnDsnOrderInfo;

import com.hnshituo.basic.service.impl.BaseServiceImpl;
import com.hnshituo.basic.spring.remoting.annotation.RemoteService;

@RemoteService(path="PlnDsnOrderInfoService")
public class PlnDsnOrderInfoServiceImpl extends BaseServiceImpl<PlnDsnOrderInfo,Object> implements PlnDsnOrderInfoService {
	public ResultModel doQueryWeb(CommonPage<PlnDsnOrderInfo> sum){
		ResultModel rm=new ResultModel();
		try{
			if(sum.getObject()==null){
				rm.setState("500");
				rm.setMsgInfo("请传入参数！");
				return rm;
			}
			rm.setData(this.getMapper(PlnDsnOrderInfoMapper.class).find(sum.getObject(), 0, 0));
			rm.setState("200");
		}catch(Exception ex){
			ex.printStackTrace();
			rm.setState("500");
			rm.setMsgInfo("查询失败!"+ex.getMessage());
		}
		
		return rm;
	}		
}
